@echo off

rem
rem Windows startscript for the UCC
rem

set CP=.

rem Figure out where UCC is installed
set UCC_HOME=%~d0%~p0..

for %%i in ("%UCC_HOME%\lib\*.jar") do ( call :cpappend %%i )

set VM_ARGS1="-Ducc.extensions=%UCC_HOME%\conf\extensions"
set VM_ARGS2="-Dlog4j.configuration=file:///%UCC_HOME%\conf\logging.properties"
set VM_ARGS3="-Ducc.preferences=%HOMEPATH%\.ucc\preferences"
set VM_ARGS4="-Djava.endorsed.dirs=%UCC_HOME%\lib\endorsed"


set CMD_LINE_ARGS=
:setArgs
if ""%1""=="""" goto doneSetArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setArgs
:doneSetArgs

rem
rem Go
rem
java %VM_ARGS1% %VM_ARGS2% %VM_ARGS3% %VM_ARGS4% -cp "%CP%" de.fzj.unicore.ucc.UCC %CMD_LINE_ARGS%
goto :eof


rem
rem Append stuff to the classpath
rem
:cpappend
if ""%1"" == """" goto done
set CP=%CP%;%*
shift
goto :cpappend
:done
goto :eof
