import de.fzj.unicore.ucc.testsuite.util.*;

// communication with the calling groovy class is done through the available 'binding' object
// per default, the binding contains the "outputDir" value, which can be accessed 
// using: binding.getVariable("outputDir")


def outputDir = binding.getVariable("outputDir")
def jobUID = Utilities.getJobUID(outputDir)

def exportFile1 = new File(outputDir,jobUID+".test")
def exportFile2 = new File(outputDir, jobUID+".test2")

// do the actual checks

assert exportFile1.text == "6"
assert exportFile2.text == "demo output"


