package de.fzj.unicore.ucc.admin;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import de.fzj.unicore.ucc.UCC;
import eu.unicore.bugsreporter.annotation.FunctionalTest;

public class TestAdminServiceInfo extends EmbeddedTestBase {

	@FunctionalTest(description="Tests the admin service info command", id="TestAdminServiceInfo")
	@Test
	public void testAdminServiceInfo(){
		connect();
		String[] args=new String[]{"admin-info","-v", "-l",
				"-c", "src/test/resources/conf/userprefs.embedded",
		};
		UCC.main(args);
		assertEquals(Integer.valueOf(0),UCC.exitCode);
	}

}
