package de.fzj.unicore.ucc.runner;

import java.util.List;
import java.util.Map;

import de.fzj.unicore.uas.client.TSSClient;

/**
 * chooses a site from a list of available ones
 * 
 * @author schuller
 */
public interface SiteSelectionStrategy {

	public TSSClient select(List<TSSClient>available);
	
	public Map<String,Integer>getSelectionStatistics();
	
}
